Subject: Re: initdb failure - postgres hangs with 100% CPU
From: Jason Tishler <[email-masked]>
To: Steve Jorgensen <[email-masked]>
Cc: "cygwin@cygwin. Com (E-mail)" <[email-masked]>
Date: Wed, 11 Jul 2001 14:26:36 -0400

Steve,

On Wed, Jul 11, 2001 at 11:09:52AM -0700, Steve Jorgensen wrote:
> I would have thought a native cygwin library would be .a, not .dll.

pq.dll is the "shared" (i.e., DLL) library, libpq.a is the import
library to which client code link.

> Did I 
> make the Cygwin library, but make it as a DLL (thus completely useless) 
> because I gave -win32 as the target?

My WAG is that you just made the normal Cygwin pq.dll.  Sorry, I don't
know what a "-win32" target is.

> I presume that you saw the recent activity regarding the above.  Why don't
> you give Christof's patches a shot?
> 
> I shall, and thanks.  Now I should figure out what's the difference between 
> mingw and -mno-cygwin, and why one uses one vs the other.

The code produced by either should be functionally identical.  Both are
only dependent on MS DLLs and not on the Cygwin one.  Mingw is a native
Win32 app and does not grok Posix style paths, mounts, symlinks, etc.
Of course, Cygwin gcc -mno-cygwin does.  IMO, the differences lie mainly
in the build environment.  Choose the flavor that you like best.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/